---
title: Date
slug: Web/HTTP/Headers/Date
tags:
  - General Header
  - HTTP
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Date</code></strong> general HTTP header contains the date and time at which the message was originated.</p>

<div class="notecard warning">
<p>Note that <code>Date</code> is listed in the <a href="https://fetch.spec.whatwg.org/#forbidden-header-name" rel="nofollow noreferrer">forbidden header names</a> in the fetch spec - so this code will not send <code>Date</code> header:</p>

<pre class="brush: js">fetch('https://httpbin.org/get', {
    'headers': {
        'Date': (new Date()).toUTCString()
    }
})</pre>
</div>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Header type</th>
			<td>{{Glossary("General header")}}</td>
		</tr>
		<tr>
			<th scope="row">{{Glossary("Forbidden header name")}}</th>
			<td>yes</td>
		</tr>
	</tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Date: &lt;day-name&gt;, &lt;day&gt; &lt;month&gt; &lt;year&gt; &lt;hour&gt;:&lt;minute&gt;:&lt;second&gt; GMT
</pre>

<h2 id="Directives">Directives</h2>

<dl>
	<dt>&lt;day-name&gt;</dt>
	<dd>One of "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", or "Sun" (case-sensitive).</dd>
	<dt>&lt;day&gt;</dt>
	<dd>2 digit day number, e.g. "04" or "23".</dd>
	<dt>&lt;month&gt;</dt>
	<dd>One of "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" (case sensitive).</dd>
	<dt>&lt;year&gt;</dt>
	<dd>4 digit year number, e.g. "1990" or "2016".</dd>
	<dt>&lt;hour&gt;</dt>
	<dd>2 digit hour number, e.g. "09" or "23".</dd>
	<dt>&lt;minute&gt;</dt>
	<dd>2 digit minute number, e.g. "04" or "59".</dd>
	<dt>&lt;second&gt;</dt>
	<dd>2 digit second number, e.g. "04" or "59".</dd>
	<dt>GMT</dt>
	<dd>
	<p>Greenwich Mean Time. HTTP dates are always expressed in GMT, never in local time.</p>
	</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Date: Wed, 21 Oct 2015 07:28:00 GMT
</pre>

<pre class="brush: js">new Date().toUTCString()
// "Mon, 09 Mar 2020 08:13:24 GMT"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Title</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{RFC("7231", "Date", "7.1.1.2")}}</td>
			<td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Date")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTTPHeader("Age")}}</li>
</ul>
